Isometrik Dimensi

Buat kawan-kawan yang biasa kerja di piping isometric mungkin dah sering bercengkrama dengan judul yang satu ini.

Ni ada sedikit coding sederhana oleh2 dari tanah dayak. Syaratnya style dan dim style sudah dibuat terlebih dahulu dan di set sebagai default ketika membuat dimensi. Dan pembagian pemberian dimensi berdasarkan orientasi arah atau kalau yang biasa gunakan isoplane left atau right bisa dibuat perumpamaan sebagai berikut :

DW untuk pemberian dimensi pada isoplane left

DN untuk pemberian dimensi pada isoplane right

DUP untuk pemeberian dimensi pada posisi tegak 90 deg

Berikut coding LISPnya :

[sourcecode language='cpp']

(defun C:DW (/ pt1 pt2 ss)
(setq pt1 (getpoint “\nPilih Dim Align Pertama”))
(setq pt2 (getpoint pt1 “\nPilih Dim Align Kedua”))
(command “_dimaligned” pt1 pt2 pause “”)
(setq ss (entlast))
(command “_dimedit” “O” ss “” “90” )
(princ)
)
(princ)
;—————————————————-
(defun C:DUP (/ pt1 pt2 ss)
(setq pt1 (getpoint “\nPilih Dim Align Pertama”))
(setq pt2 (getpoint pt1 “\nPilih Dim Align Kedua”))

(command “_dimaligned” pt1 pt2 pause “”)
(setq ss (entlast))
(command “_dimedit” “O” ss “” “-30″ )

(princ)
)
(princ)
;—————————————————-
(defun C:DN (/ pt1 pt2 ss)
(setq pt1 (getpoint “\nPilih Dim Align Pertama”))
(setq pt2 (getpoint pt1 “\nPilih Dim Align Kedua”))

(command “_dimaligned” pt1 pt2 pause “”)
(setq ss (entlast))
(command “_dimedit” “O” ss “” “90” )

(princ)
)
(princ)

[/sourcecode]

Semoga bermanfaat.

Salam dari tanah dayak

31/01/09

Abu Labib

  • aulia

    duh….sayang..saya g bisa AUTOLISP…
    ihiks….